<html>
<head>
<title>Salon.com Technology | How Big Blue fell for Linux</title>


<LINK REL="STYLESHEET" TYPE="text/css" HREF="salon_nix.css">

<!-- browser: Netscape version:  4.76 os:  SomeNix -->





    <META NAME="DC.Publisher" CONTENT="Salon.com" >
    <META NAME="publish_date" CONTENT="20000912120300" >
    <META NAME="DC.Creator" CONTENT="Leonard Andrew" >
    <META NAME="DC.Rights" CONTENT="/Includes/site/copyrights/blank.htmlf" >
    <META NAME="DC.Source" CONTENT="Salon" >
    <META NAME="DC.Type" CONTENT="Free Software Project" >
    <META NAME="DC.Title" CONTENT="How Big Blue fell for Linux" >
    <META NAME="DC.Identifier" CONTENT="978764" >
    <META NAME="Keywords" CONTENT="ibm, collab.net, open source, free software project, free software, mainframe computing, andrew leonard" >
    <META NAME="DC.Description" CONTENT="When open-source developers and IBM took gambles on each other, free software showed it can flourish in the heartland of corporate computing." >
    <META NAME="DC.Language" CONTENT="eng" >
    <META NAME="DC.Format" CONTENT="text/html" >




</head>
<body bgcolor="#ffffff" text="#000000" link="#cc0000" alink="#666666" vlink="#666666">
<!-- 66 72 79 90 91 92 93 125 163 238 244 405 455  -- 153 -->
<div align="center">

<!-- ads table -->
<table border="0" width="736" cellspacing="0" cellpadding="0">
<tr>
   <td valign="top" align="center" width="120"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/200829386/TopLeft/house_120_ron/120x60.gif/61383634626430323362316163656430" target="new"><IMG SRC="120x60.gif"  ALT="" border=0></A></td>
   <td valign="top" align="center" width="468"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1881546201/Top/KC_promo_ron/parentstagesani.gif/61383634626430323362316163656430" target="new"><IMG SRC="parentstagesani.gif"  ALT="" border=0></A></td>
   <td valign="top" align="center" width="120"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1129629503/TopRight/default/empty.gif/61383634626430323362316163656430" target="new"><IMG SRC="empty.gif"  WIDTH=2 HEIGHT=2 ALT="" BORDER=0></A></td>
</tr>
</table>

<br /><div align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="1">
<a href="http://search.salon.com/">Search</a>&nbsp;&nbsp;<!-- <a href="/directory/index.html">Directory</a>&nbsp;&nbsp; --><a href="/about/index.html">About Salon</a>&nbsp;&nbsp;<a href="http://tabletalk.salon.com/webx?">Table Talk</a>&nbsp;&nbsp;<a href="http://bf.salon.com/salon/salon_pref.epl" target="new">Newsletters</a>&nbsp;&nbsp;<a href="/adsales/index.html">Advertise in Salon</a>&nbsp;&nbsp;<a href="http://199.230.26.96/saln/">Investor Relations</a></font>
</div><br />

<SCRIPT LANGUAGE="JavaScript">
<!--
function setImage() {}
// -->
</SCRIPT>
<SCRIPT LANGUAGE="JavaScript1.1">
<!--

if (navigator.appVersion.charAt(0) > 2) {
        var booksNormImg = new Image(16,16)
        var booksOverImg = new Image(16,16)
        var comicsNormImg = new Image(16,16)
        var comicsOverImg = new Image(16,16)
        var entNormImg = new Image (16,16)
        var entOverImg = new Image (16,16)
        var mwtNormImg = new Image(16,16)
        var mwtOverImg = new Image(16,16)
        var newsNormImg = new Image(16,16)
        var newsOverImg = new Image(16,16)      
        var peopleNormImg = new Image(16,16)
        var peopleOverImg = new Image(16,16)
        var politicsNormImg = new Image(16,16)
        var politicsOverImg = new Image(16,16)
        var sexNormImg = new Image(16,16)
        var sexOverImg = new Image(16,16)
        var techNormImg = new Image(16,16)
        var techOverImg = new Image(16,16)
        var audioNormImg = new Image(16,16)
        var audioOverImg = new Image(16,16)

        booksNormImg.src = "http://images.salon.com/src/books4_plain_off.gif"
        booksOverImg.src = "http://images.salon.com/src/books4_plain_on.gif"
        comicsNormImg.src = "http://images.salon.com/src/comics4_plain_off.gif"
        comicsOverImg.src = "http://images.salon.com/src/comics4_plain_on.gif"
        entNormImg.src = "http://images.salon.com/src/ent4_plain_off.gif"
        entOverImg.src = "http://images.salon.com/src/ent4_plain_on.gif"
        mwtNormImg.src = "http://images.salon.com/src/mwt4_plain_off.gif"
        mwtOverImg.src = "http://images.salon.com/src/mwt4_plain_on.gif"
        newsNormImg.src = "http://images.salon.com/src/news4_plain_off.gif"
        newsOverImg.src = "http://images.salon.com/src/news4_plain_on.gif"
        peopleNormImg.src = "http://images.salon.com/src/people4_plain_off.gif"
        peopleOverImg.src = "http://images.salon.com/src/people4_plain_on.gif"
        politicsNormImg.src = "http://images.salon.com/src/politics4_plain_off.gif"
        politicsOverImg.src = "http://images.salon.com/src/politics4_plain_on.gif"
        sexNormImg.src = "http://images.salon.com/src/sex4_plain_off.gif"
        sexOverImg.src = "http://images.salon.com/src/sex4_plain_on.gif"
        techNormImg.src = "http://images.salon.com/src/tech4_tab_off.gif"
        techOverImg.src = "http://images.salon.com/src/tech4_tab_on.gif"
		audioNormImg.src = "http://images.salon.com/src/audio4_plain_off.gif"
        audioOverImg.src = "http://images.salon.com/src/audio4_plain_on.gif"
}
function setImage(imgName, type) {
        var imgFile = eval(imgName + type + "Img.src")
        document.images[imgName].src = imgFile
        return false
}
// -->
</SCRIPT>



<!-- table 1 -->
<table border="0" width="736" cellspacing="0" cellpadding="0">
<tr>
	<td valign="top" colspan="7">&nbsp;</td>
	<td valign="bottom" align="left" colspan="4"><img src="shim2.gif" width="442" height="1" /></td>
	</tr>
<tr>
	<td valign="top" colspan="7">&nbsp;</td>
	<td valign="top" align="left" width="1" class="gridLine" bgcolor="#000000"><br /></td>
	<td valign="top" align="left" class="globalNav"><a href="http://bf.salon.com/salon/salon_pref.epl" target="new"><img src="salon_member.gif" width="294" height="22" border="0" /></a></td>
	<td valign="middle" align="left" class="globalNav"><font face="Verdana, Arial, Helvetica, sans-serif" size="1">&nbsp;<a href="http://bf.salon.com/salon/salon_pref.epl" target="new">Find out more | Log in</a></td>
<td valign="top" align="left" width="1" class="gridLine" bgcolor="#000000"><br /></td>
</tr>

<!-- control row -->

<tr>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="146" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="10" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="26" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="109" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="296" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="144" height="1" /></td>
	<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
</tr>


<tr>
        <td valign="top" align="left" colspan="5"><a href="http://www.salon.com/"><img src="salonlogo.gif" width="184" height="48" alt="Salon.com" border="0" /></a></td>
<td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
        <td valign="top" align="right" colspan="3"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1123340369/Position1/default/empty.gif/61383634626430323362316163656430" target="new"><IMG SRC="empty.gif"  WIDTH=2 HEIGHT=2 ALT="" BORDER=0></A><img src="shim2.gif" width=1 height=48 alt="" border="0" /></td>
        <td valign="top" align="left"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/869382582/Position2/house_broadbandbox_july/premiumbox7.gif_2.gif/61383634626430323362316163656430" target="new"><IMG SRC="premiumbox7.gif_2.gif"  ALT="" BORDER=0></A></td>
        <td valign="top" align="left" width="1" class="gridLine" bgcolor="#000000"><br /></td>
</tr>
<tr>
          <td valign="top" colspan="11"><a href="/ent/index.html" onMouseOver="return setImage('ent','Over')" onMouseOut="return setImage('ent','Norm')"><img name="ent" src="ent4_plain_off.gif" alt="[Arts &amp; Entertainment]" width="49" height="22" border="0" /></a><a href="/books/index.html" onMouseOver="return setImage('books','Over')" onMouseOut="return setImage('books','Norm')"><img name="books" src="books4_plain_off.gif" alt="[ Books ]" width="66" height="22" border="0" /></a><a href="/comics/index.html" onMouseOver="return setImage('comics','Over')" onMouseOut="return setImage('comics','Norm')"><img name="comics" src="comics4_plain_off.gif" alt="[ Comics ]" width="69" height="22" border="0" /></a><a href="/mwt/index.html" onMouseOver="return setImage('mwt','Over')" onMouseOut="return setImage('mwt','Norm')"><img name="mwt" src="mwt4_plain_off.gif" alt="[ Mothers Who Think ]" width="80" height="22" border="0" /></a><a href="/news/index.html" onMouseOver="return setImage('news','Over')" onMouseOut="return setImage('news','Norm')"><img name="news" src="news4_plain_off.gif" alt="[ News ]" width="59" height="22" border="0" /></a><a href="/people/index.html" onMouseOver="return setImage('people','Over')" onMouseOut="return setImage('people','Norm')"><img name="people" src="people4_plain_off.gif" alt="[ People ]" width="74" height="22" border="0" /></a><a href="/politics/index.html" onMouseOver="return setImage('politics','Over')" onMouseOut="return setImage('politics','Norm')"><img name="politics" src="politics4_plain_off.gif" alt="[ Politics ]" width="87" height="22" border="0" /></a><a href="/sex/index.html" onMouseOver="return setImage('sex','Over')" onMouseOut="return setImage('sex','Norm')"><img name="sex" src="sex4_plain_off.gif" alt="[ Sex ]" width="52" height="22" border="0" /></a><a href="/tech/index.html" onMouseOver="return setImage('tech','Over')" onMouseOut="return setImage('tech','Norm')"><img name="tech" src="tech4_tab_off.gif" alt="[ Technology ]" width="135" height="22" border="0" /></a><a href="/audio/index.html" onMouseOver="return setImage('audio','Over')" onMouseOut="return setImage('audio','Norm')"><img name="audio" src="audio4_plain_off.gif" alt="[ Audio ]" width="65" height="22" border="0" /></a></td>
</tr>
</table>
<table border="0" width="736" cellspacing="0" cellpadding="0">
<tr>
        <td valign="top" align="left" width="1" class="gridLine" bgcolor="#000000"><br /></td>
        <td valign="middle" align="left"><img src="article_finder.gif" alt="Article Finder" border="0" /></td>
        <td valign="top" align="left" width="1" class="gridLine" bgcolor="#000000"><br /></td>
		<td valign="top" align="left"><img src="shim.gif" width=10 height=22 alt="" border="0" /></td>
	<td valign="top" align="left" colspan="4"><img src="tech_fsp_sub.gif" height="22" width="577" border="0" alt="Free Software Project" /></td>
        <td valign="top" align="left" width="1" class="gridLine" bgcolor="#000000"><br /></td>
</tr>
<tr>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="146" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="10" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="26" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="406" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="144" height="1" /></td>
	<td valign="top" align="left" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
</tr> 
</table>





<!-- table 2 -->
<table border="0" width="736" cellspacing="0" cellpadding="0">
<tr>
        <td valign="top" width="1" class="gridLine" bgcolor="#000000"><br /></td>
        <td valign="top" width="146" class="globalNav">
<!-- <col_1/> -->
<!-- left colored navigation table -->
	<table border="0" class="globalNav" cellspacing="0" cellpadding="0" width="146">
	<tr>
		<td width="10" class="globalNav" valign="top"><img src="shim.gif" width="10" height="5" border="0" alt="" /></td>
		<td valign="top" height="5" class="globalNav">&nbsp;</td>
		<td width="5" class="globalNav" valign="top"><img src="shim.gif" width="5" height="5" border="0" alt="" /></td>
	</tr>
	<tr>
		<td class="globalNav" valign="top">&nbsp;</td>
		<td valign="top" class="globalNav">
<!-- search -->	
<font face="Verdana, Arial, Helvetica, sans-serif" size="1">	
<script>
<!--

function searchAll() {
theGroup = document.seek.qp;
  for (i=0; i<= theGroup.length; i++) {
   if (theGroup[i].checked) {
   break;
  }
}

if (theGroup[i].value=="jeeves") {
   document.seek.ask.value=document.seek.qt.value;
   document.seek.action="http://jump.salon.com/rlink/www.ask.com/index.asp?origin=9091&metasearch=yes&site_name=Jeeves";
} else {
   document.seek.action="http://search.salon.com/query.html";
}
}
// -->
</script>
	  <form name=seek method=GET action="http://search.salon.com/query.html" onsubmit="searchAll(this.form)">
	  <p class="globalNav"><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><a href="http://search.salon.com/"><b>Search</b></a><br />
<img src="shim.gif" width="1" height="3" border="0" alt="" /><br />
<input type="text" name="qt" size=8 maxlength=2047 value="">
<!-- begin search include -->
<br /><input type="radio" name="qp" value="" checked> All of Salon.com
<br /><input type="radio" name="qp" value="+url:/tech/"> Only Technology <br />
<input type="radio" name="qp" value="jeeves"> The Web with<br />
<a href="http://jump.salon.com/rlink/www.ask.com/index.asp?origin=9091&metasearch=yes&site_name=Jeeves" target="new"><img src="jeeves_small1.gif" width="87" height="39" border="0" alt="" /></a><br />
<!-- end search include -->
<input type=hidden name=op0 value="+">
<input type=hidden name=fl0 value="url:">
<input type=hidden name=ask value="">
<input type=hidden name=ty0 value="w">
<input type=hidden name=op1 value="+">
<input type=hidden name=fl1 value="url:">
<input type=hidden name=ty1 value="w">
<input type=hidden name=tx1 value="index.html">
<input type=hidden name=op2 value="+">
<input type=hidden name=fl2 value="">
<input type=hidden name=ty2 value="w">
<input type=hidden name=qs value="">
<input type=hidden name=qc value="">
<input type=hidden name=ws value="0">
<input type=hidden name=qm value="0">
<input type=hidden name=st value="1">
<input type=hidden name=nh value="10">
<input type=hidden name=lk value="1">
<input type=hidden name=rf value="0">
<input type=hidden name=oq value="">
<input type=hidden name=rq value="0">
<img src="shim.gif" width="1" height="3" border="0" alt="" /><br />
<input type="submit" onclick="searchAll(document.seek.me)" value="OK"></font></p>
</form>




<!-- directory -->
<font face="Verdana, Arial, Helvetica, sans-serif" size="1"><a href="/directory/index.html"><b>Directory</b></a>
<p><b>Hot Topics</b><br />

 <a href="/directory/topics/napster/index.html">Napster</a><br />
<a href="/directory/topics/andrew_leonard/index.html">Andrew Leonard</a><br />
<a href="/directory/topics/censorship/index.html">Censorship</a><br />
<a href="/directory/topics/linux/index.html">Linux</a><br />
<a href="/directory/topics/scott_rosenberg/index.html">Scott Rosenberg</a><br />
<a href="/directory/topics/java/index.html">Java</a><br />
<a href="/directory/topics/technology_log/index.html">Technology Log</a><br />
<a href="/directory/topics/dottie_downturn/index.html">Dottie Downturn</a><br />
<a href="/directory/topics/view_from_the_top/index.html">View From the Top</a><br />
<a href="/directory/topics/j_r_r_tolkien/index.html">J.R.R. Tolkien</a>
 </p>

<p>Articles by date<br />
<!-- <li><a href="/tech/index.html">Only this site</a></li> -->
<li><a href="/archives/date.html">All of Salon.com</a></li>
<li><a href="/archives/department.html">By department</a></li></p>
</font>


</font>
		</td>
		<td width="5" class="globalNav" valign="top">&nbsp;</td>
	</tr>
	<tr>
		<td width="10" class="globalNav" valign="top">&nbsp;</td>
		<td valign="top" height="5" class="globalNav">&nbsp;</td>
		<td width="5" class="globalNav" valign="top">&nbsp;</td>
	</tr>	
<!-- list of sites -->	
	<tr>
		<td colspan="3"><img src="salon_sites.gif" width=146 height=23 border="0" alt="Salon.com Sites" /></td>
	</tr>
	<tr>
		<td width="10" class="globalNav" valign="top">&nbsp;</td>
		<td valign="top" height="5" class="globalNav">&nbsp;</td>
		<td width="5" class="globalNav" valign="top">&nbsp;</td>
	</tr>
	<tr>
		<td width="10" class="globalNav" valign="top">&nbsp;</td>
		<td valign="top" class="globalNav"><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><A HREF="/ent/index.html">Arts &amp; Entertainment</A><br />
                - <A HREF="/ent/movies/index.html">The Movie Page</A><br />
		<A HREF="/books/index.html">Books</A><br />
		<A HREF="/comics/index.html">Comics</A><br />
		<A HREF="/mwt/index.html">Mothers Who Think</a><br />
		<A HREF="/news/index.html">News</A><br />
		<A HREF="/people/index.html">People</A><br />
		<A HREF="/politics/index.html">Politics</A><br />
		<A HREF="/sex/index.html">Sex</A><br />
		<img src="arrow.gif" width=8 height=7 border=0 alt="." /> <A HREF="/tech/index.html">Tech &amp; Business</A><br />
		- <A HREF="/tech/fsp/index.html">Free Software Project</A><br />
<A HREF="/audio/index.html">Audio</A><br />
		- <A HREF="/radio/index.html">Salon Radio</A><br />
		<img src="rule_trans.gif" vspace="3" alt="_______" /><br />
<A HREF="/letters/index.html">Letters</A><br />		
<A HREF="/col/index.html">Columnists</A><br />
<a href="/letters/corrections/index.html">Corrections</a><br />
<img src="rule_trans.gif" vspace="3" alt="_______" /><br />
<A HREF="/plus/index.html">Salon Plus</A><br />
<A HREF="/shop/index.html">Salon Shop</A><br />
<A HREF="http://personals.salon.com">Personals</A><br />		  
</font>
		</td>
		<td width="5" class="globalNav" valign="top">&nbsp;</td>
	</tr>
	<tr>
		<td width="10" class="globalNav" valign="top">&nbsp;</td>
		<td valign="top" height="5" class="globalNav">&nbsp;</td>
		<td width="5" class="globalNav" valign="top">&nbsp;</td>
	</tr>	


		
<!-- left community -->
        <tr>
                <td colspan="3"><img src="participate.gif" width=146 height=23 alt="Participate" border="0" /></td>
        </tr>
		<tr>
			<td width="10" class="globalNav" valign="top">&nbsp;</td>
			<td valign="top" height="5" class="globalNav">&nbsp;</td>
			<td width="5" class="globalNav" valign="top">&nbsp;</td>
		</tr>			
        <tr>
                <td width="10" class="globalNav" valign="top">&nbsp;</td>
                <td valign="top" class="globalNav" width="131">
<font face="Verdana, Arial, Helvetica, sans-serif" size="1">

<p><a href="http://tabletalk.salon.com/webx?"><b>Table Talk</b></a>
<br />[Free, spirited<br />Salon forums]</p>
<!-- table_talk.mc -->
<p>

 <p><a href="http://tabletalk.salon.com/webx?13@@.eea63ea">
The OS wars </a> Which side are you on?</p>

<p><a href="http://tabletalk.salon.com/webx?13@@.eeade18">Passion or pay?</a> Why do you do what you do for a living?  </p>

<p><a href="http://tabletalk.salon.com/webx?13@@.eea8d00"> 
Dear Clown in the Corner Office ... </a> What do you really want to say to your boss?</p>


 









 </p>

<p><li> <a href="/tt/post/index.html">Posts of the week</a></li></p>
</font>

<font face="Verdana, Arial, Helvetica, sans-serif" size="1">
<!-- well.mc -->
<p><br /><a href="http://www.well.com/"><b>The Well</b></a><br />
[Pioneering members-only discussions]</p>
<p><a href="http://www.well.com/conf/bestofwell/060101sal.html">Supplanting tobacco</a> The war on drugs has warped more minds than drugs themselves.
</p>
</font>

<font face="Verdana, Arial, Helvetica, sans-serif" size="1">
<p><br /><b>Sound Off</b>
<li><a href="/about/staff/index.html">E-mail Salon</a></li>
<li><a href="/about/letters/index.html">Send us a Letter to the Editor</a></li>
<li><a href="/letters/index.html">Today's letters</a></li>
</p>
</font>

</td>
                <td width="5" class="globalNav" valign="top">&nbsp;</td>
        </tr>
		


	<tr>
	<td width="10" class="globalNav" valign="top">&nbsp;</td>
	<td valign="top" class="globalNav" width="131"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/2140377844/Left/ShimGif_Left_RON/6204/61383634626430323362316163656430" target="new"><IMG SRC="shim.gif"  ALT="" border=0></A></td>
	<td width="5" class="globalNav" valign="top">&nbsp;</td>
	</tr>
<!-- ways to get salon -->
        <tr>
                <td colspan="3"><img src="get_salon.gif" width=146 height=23 alt="Ways to get Salon" border="0" /></td>
        </tr>
	
        <tr>
                <td width="10" class="globalNav" valign="top">&nbsp;</td>
                <td valign="top" class="globalNav" width="131"><br /><font face="Verdana, Arial, Helvetica, sans-serif" size="1">
<!-- Commented out for now
                <b>Newsletter</b><br />
                Sign up to receive <a href="/about/newsletter/index.html">free e-mail updates</a> from Salon -- now in 12 different varieties!<br />
                <p><br /></p>
-->
                <b>Downloads</b>
                <br /><li> Get Salon.com on<br /><a target="new" href="http://avantgo.com/channels/detail.html?cha_id=1392">your PDA</a></li>
               <li> Salon.com headlines from <a target="new" href="http://my.netscape.com/addchannel.tmpl?service=net.1357">My Netscape</a></li><li> <a href="/about/ways/index.html">More ways</a> to get Salon</li><br /></font></td>
                <td width="5" class="globalNav" valign="top">&nbsp;</td>
        </tr>
		<tr>
			<td width="10" class="globalNav" valign="top">&nbsp;</td>
			<td valign="top" height="5" class="globalNav">&nbsp;</td>
			<td width="5" class="globalNav" valign="top">&nbsp;</td>
		</tr>	

<!-- registration -->
	</table>
<!-- end left col navigation nested table -->



		</td>
        <td valign="top" width="1" class="gridLine" bgcolor="#000000"><br /></td>
        <td valign="top">&nbsp;</td>
        <td valign="top" width="380">
<!-- <col_2 & col_3/> -->
<!-- 3 outta 4 -->

<br /><p><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><b><a href="index1.html">How Big Blue fell for Linux</a></b></font> | <font face="times new roman, times, serif" size="3"> <a href="index.html">1</a>, <a href="index1.html">2</a>, 3, <a href="index3.html">4</a> </font></p><p><br /></p>




<font face="times new roman, times, serif" size="3">On the corner of Third Street and Bryant, in the South of Market neighborhood of San Francisco, there is a restaurant known as the Big Tomato. Its real name is Vine e Cucina, but the local clientele are too busy programming or otherwise online-obsessed to be bothered with its actual name, and just refer to it by the unavoidable sign out front. </p>
<p>
In 1998, the Big Tomato enjoyed a fortuitous propinquity to one of the world's most thriving physical nodes of Internet culture and business. Countless Web-related start-ups clustered in the buildings nearby. Organic Online, the high-end Web production studio that employed open-source star Brian Behlendorf as its chief technical officer, was just a few feet away. So were the offices of Wired magazine, for which Behlendorf, at the tender age of 19, had brought Wired's online adjunct, HotWired, onto the Net. Behlendorf still hasn't strayed far -- Collab.net, his current startup, is just another long block away. </p>
<table width="110" cellpadding="0" cellspacing="0"  align="right" border="0">
<tr><td width="20" valign="top"><br /></td>
<td width="90" valign="top">
<p><hr noshade size="1" align="left" width="50"></p>
<font face="Verdana, Arial, Helvetica, sans-serif" size="1">

</font>
<font face="Verdana, Arial, Helvetica, sans-serif" size="1">
<p><a href="print.html"><img src="print.gif" width="17" height="13" border="0" /></a><br />
<a href="print.html">Print story</a></p>
<p><a href="email.html"><img src="email.gif" width="17" height="13" border="0" /></a><br />
<a href="email.html">E-mail story</a></p>
</font>

<p><hr noshade size="1" align="left" width="50"></p>

<p><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><a href="http://jump.salon.com/rlink/www.safeweb.com" onClick="now = new Date(); window.open('http://jump.salon.com/rlink/www.safeweb.com/_i:' + window.top.location.href, now.getTime(), 'menubar,status,scrollbars,resizable,toolbar,width=' + window.innerWidth + ',height=' + window.innerHeight);" fugu_morph="A"><img src="safeweb_logo1.gif" width="16" height="22" border="0" /></a> <a href="http://jump.salon.com/rlink/www.safeweb.com" onClick="now = new Date(); window.open('http://jump.salon.com/rlink/www.safeweb.com/_i:' + window.top.location.href, now.getTime(), 'menubar,status,scrollbars,resizable,toolbar,width=' + window.innerWidth + ',height=' + window.innerHeight);" fugu_morph="A">View Salon privately with SafeWeb</a></font></p>

<p><hr noshade size="1" align="left" width="50"></p>
</td>
</tr>
</table>



<p>
So when people came to visit Behlendorf in his own neighborhood, there was a good chance that the Big Tomato was where they would end up -- which explains why one spring evening in 1998, he had dinner there with two representatives of IBM, James Barry and Yen-ping Shan. </p>
<p>
In retrospect, the meeting was a dramatic turning point, the moment when the old world and new world of computing met to shake hands. At the time, though, unless you were a very close follower of the nascent open-source scene, you might have been excused for wondering what reason Big Blue could have for setting up a powwow with a ponytailed 24-year-old who split his time between Organic Online and rave DJing. </p>
<p>
By that summer, Linux-based operating systems had already attracted a huge following, and earlier that spring Netscape had made the dramatic announcement that it would be releasing the source code to its Navigator Web browser. But the traditional corporate world, at least from a managerial standpoint, still didn't seem to know what to make of this hacker frenzy. Software engineers everywhere were already gung-ho, but the suits were a step or two behind. </p>
<p>
James Barry and Yen-ping Shan weren't your ordinary IBM suits, however. Barry, the product manager for WebSphere, a set of closely related e-business programs, was a jeans-in-the-office kind of guy, and had been employed by IBM for little more than a year. Shan, IBM's chief architect for e-business tools, came from an engineering background. The two men were complementary halves to the same coin. Barry was a gregarious and jovial 43-year-old who in 1998 already had years of experience in online affairs, dating back to a bulletin board he had operated in Boulder, Colo., in the early '90s. He recalls, "Shan was the technical guy who knew a lot about marketing, while I was the marketing guy who knew a lot about the technology." </p>
<p>
Both men were certain of one thing: It was in IBM's interest to support the Apache Web server, a program developed by a loose group of volunteer programmers led by -- or, more accurately, coordinated by -- Brian Behlendorf. But just getting as far as this meeting had required mastering an internecine political process at IBM that defied ordinary mortal comprehension. Engineers at IBM had been fans of Apache since at least 1996, when it was used as the Web server platform underlying IBM's Web-based front end to the Atlanta Summer Olympic Games. But IBM also owned Lotus software, which had its own Web server program: Domino Go. IBM software executives kept squashing engineering's Apache enthusiasm, tracing their mandate all the way back to the CEO, Lou Gerstner. You've got to eat your own dog food; if IBM had a Web server product, it should be pushing that product and using it for its own servers. </p>
<p>
The only problem was, practically no one besides IBM itself was using Domino Go, which made it rather unwise to rely on the program as a first step for penetrating other Internet software markets. For months, Barry and Shan had been working to persuade IBM of Apache's strategic advantage. </p>
<p>
First, Apache was what people were using. Shortly after Barry had been hired, initially as a consultant to evaluate IBM's "middleware"<a href="/tech/fsp/glossary/index.html#middleware">*</a> offerings, he had lectured IBM managers on the fact that Apache was the most popular Web server program on the Internet -- and the single most widely used piece of software for the hosting of Web sites. Even in the Fortune 500, IBM's home territory, more companies were running their Web sites on Apache than on Domino Go. (Though, to be fair, some of those high-profile corporate sites, such as those belonging to Nike and Levi's, were actually being hosted by Organic Online.) </p>
<p>
Second, although Apache dominated the statistics for publicly accessible Web servers, owning more than 50 percent of a hotly contested market, Microsoft's share was also growing steadily. And again, that growth was occurring in the well-heeled market sector that IBM most lusted after. Apache owned the low end of the market, but Microsoft was gunning for where the money was. If IBM wanted to prevent Microsoft from claiming yet another software market, it needed to join forces with Apache. </p>
<p>
Third, since so many sites were using Apache, a vast amount of software tools had been created that would work with Apache. And since Apache was both open-source and conformed as closely as possible to all public Internet standards, it was easy to adapt those tools to different software platforms. According to Barry, if IBM came up with a set of software services that worked on top of Domino Go, it took a good deal of code rewriting to get that software to work with either Apache or Microsoft's IIS Web server. By making Domino Go the center of IBM's strategy, it was, in effect, handcuffing itself. </p>
<p>
For a year and a half -- much of which, say his friends, was spent in the air traveling from IBM office to IBM office -- Barry pushed the open-source strategic imperative to anyone who would listen. If IBM was interested in fending off Microsoft, if it cared at all about creating the widest possible pool of customers for all the fancy e-business services that IBM wanted to offer its customers, then it must get with the real program -- the open-source program, the Apache program. </p>
<p>
There was just one niggling problem, even after Barry and Shan finally won over higher levels of IBM management: IBM wanted Apache, but did Apache want IBM? </p>
<p>
Certainly, Brian Behlendorf was cautious. He describes his own state of mind at The Big Tomato that night as "guardedly thrilled." Behlendorf is not by nature a suspicious man, but he was wary. He might still have appeared to be a wet-behind-the-ears Internet hacker, but he knew IBM. His parents had actually met each other while they both worked at IBM -- if anyone had grown up steeped in the culture of the computing industry's most dominant enterprise, it was Behlendorf. IBM had a way of swallowing its collaborators, of overwhelming smaller companies with its phalanxes of sales shock troops and mind-numbing invasions of managers. As a representative of not just the Apache Group, but all of emergent Net culture, Behlendorf couldn't help being restrained in the face of outreach from one of the world's biggest corporations. </p>
<p>
Behlendorf did not "run" Apache. No one did. Instead, he helped coordinate the efforts of a group of programmers, all of whom for one reason or another needed a good Web server program to help them carry out their day job or hobby, to improve the existing publicly available Web server technology. The original base of code came from the University of Illinois, developed by the same team of programmers that had created Mosaic. </p>
<p>
But those programmers had moved on en masse to Netscape, which -- at the time of Apache's emergence in the mid-'90s -- was developing, slowly, its own high-priced, proprietary Web server. Meanwhile, as the Web expanded at phenomenal speed, there was a drastic need for improvements to the existing freely available Web server code. All across the Net, webmasters were hacking their own patches<a href="/tech/fsp/glossary/index.html#patch">*</a> to the code, quick fixes that would help them respond to their daily needs. Finally, a group of these programmers got together, collated all the patches and created "a patchy server" -- Apache. </p>
<p>
Behlendorf's influence came through his calming presence on Apache-related mailing lists, as the systems administrator for the Apache Web site and as the maintainer of the Apache "source tree"<a href="/tech/fsp/glossary/index.html#source_tree">*</a> -- the code base for Apache to which the core group of some 20 programmers had access. His interest always was, and still is, to devise technological means of enhancing collaboration. Lacking the ideology of a Stallman, or the programming skills of a Linus Torvalds (he is quick to say of himself, with a self-deprecating smile, that "I am <i>not</i> a very good programmer"), his motivation has always been to create things that work, that get the job done. </p>
<p>
Apache got the job done. It wasn't necessarily the best Web server, the fastest, the most powerful or the most secure. But it was still the most widely used, in large part because it handled, simply and effectively (and freely), the tasks that most people needed handling. </p>
<p>
Of course, IBM had a different set of motivations -- generating revenue being chief among them. So when James Barry told Brian Behlendorf that IBM wanted to use Apache as part of its own family of e-business products, and that it wanted to start contributing to the Apache project, Behlendorf's first reaction, recalls Barry, was defensive. The Apache group did not want a giant corporation to come in suddenly and take over. Yen-ping Shan hastened to sooth him. </p>
<p>
"I told him," recalls Shan, "that we are going to play by your rules, because we believe that your structure and practice actually works." </p>
<p>
Shan added that IBM's support could only strengthen Apache. "There are multiple ways IBM is going to help," Shan remembers saying, "not just technologically but as an endorsement that will solidify Apache in the IT [information technology] world. IBM will announce enterprise-level support." </p>
<p>
Fine. If IBM was going to play by Apache's rules, then that's what it would have to do to win the Apache group's support. To do that would require something a bit more substantive than taking Behlendorf out to dinner. </p>
<p>
It would require code. </p>
<p>
IBM had to become a contributor. And it would have to prove itself the way any Apache contributor did, by submitting patches that were accepted by the core as valuable improvements to the Apache code base. And it had to do so in a sensitive way. Behlendorf did not want to see hundreds of patches appearing from scores of IBM engineers. He didn't want IBM to suddenly dominate the open discourse of existing Apache programmers. If IBM wanted one of its employees to become a member of the Apache core (which Barry and Shan's boss had set forth as an essential requirement before greenlighting their mission to Apache), then that employee would have to earn his or her way there like anybody else, by merit, through the quality of his or her hacking. </p>
<p>
Barry and Shan agreed. It wouldn't be easy. The very concept of an IBM employee contributing code to a project that wasn't owned by IBM raised hackles on legions of IBM lawyers. Traditional software industry policy held that an employer owned everything an employee did, even to the extent of idle thoughts the employee might linger over while showering in the comfort of home. There was also the sticky question of patents -- what if a contribution of code from an IBM engineer included concepts or techniques that had been patented by IBM -- what would happen to those patents if they became part of the public domain? What about liability issues? </p>
<p>
Barry recalls with a pained grimace the months of meetings that had to be undergone in order to work out such issues. But, credit must be given to IBM's legal team. The issues were worked out. A single programmer, Bill Stoddard, was given the job of being the connection between IBM and Apache -- if any of IBM's programmers came up with a patch, Stoddard reviewed it first, and then he personally submitted to the Apache group. </p>
<p>
And in the Apache group, good code always won the day. Stoddard's contributions were accepted. IBM was accepted. IBM endorsed Apache, and gave open source an entree into the land of the suits. And Apache endorsed IBM, proving that hackers could work with the biz guys. The announcement of the agreement generated some 1,000 media stories -- which, more than any other fact, Barry recalls with a rueful grin, sealed the deal for upper management. That kind of positive press was by definition a successful strategic move. </p>
<p>
Today, all three representatives at that meeting have moved on to new jobs. Yen-ping Shan is the chief technical officer at the largest payments-processing firm in the United States. Brian Behlendorf is CTO of Collab.net. And James Barry works a desk about 30 feet from Behlendorf. He is now Collab.net's vice president of strategic development. </p>
</font>

<p><img src="next.gif" vspace="0" alt="." />&nbsp;<font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Next page</b> | <b><a href="index3.html">Lou Gerstner reads the New York Times, loses it, and IBM goes open source</a></b></font><br /><font face="times new roman, times, serif" size="3"><a href="index.html">1</a>, <a href="index1.html">2</a>, 3, <a href="index3.html">4</a></font></p><p><br /></p>










<p><br /></p>
</td>
        <td valign="top">&nbsp;</td>
        <td valign="top" width="1" class="gridLine" bgcolor="#000000"><br /></td>
        <td valign="top">
<!-- <col_4/> -->
<table border="0" cellpadding="0" cellspacing="0" width="146">
<!-- biz widget -->
        <tr>
                <td valign="top"><img src="shim.gif" width="10" height="5" border="0" alt="" /></td>
                <td valign="top" align="left">
 
<!-- biz widge begins -->
<br /><font face="Verdana, Arial, Helvetica, sans-serif" size="1">

<br /><a href="http://www.cafepress.com/salonstore"><img src="salon_gear.gif" /></a>
<br /><a href="http://www.cafepress.com/salonstore">Salon Gear</a> You know you want it: Bushed! goodies are here.



</font>
<p><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/151590457/Right1/ITWorld_RON_TextLinks/itworld_bizwidget.gif/61383634626430323362316163656430" target="new"><IMG SRC="itworld_bizwidget.gif"  ALT="" border=0>Improve eBusiness operations by quantum leaps</A></font><br clear="all" /></p>
<p><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/103052714/Right2/house_bizwidget/tshirt_widgt.gif/61383634626430323362316163656430" target="new"><IMG SRC="tshirt_widgt.gif"  ALT="" align=right border=0>The perfect summer apparel. Order a  Salon T-shirt today!</A></font><br clear="all" /></p>
<p><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/937001354/Right3/Nerve_bizwidget_ron/house_nerve__widget/61383634626430323362316163656430" target="new"><IMG SRC="heart-biz-widget.gif"  ALT="" border=0 align=left>Looking for Love?</a>  Try Salon Personals</A></font><br clear="all" /></p>
<p><div align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="1">Extra goodies and great services in <br /><a href="/plus/index.html">Salon Plus</a></font></div>
<br /></p>
<!-- biz widge ends --> 
</td>
                <td valign="top"><img src="shim.gif" width="5" height="5" border="0" alt="" /></td>
        </tr>
<!-- end biz widget -->

        <tr>
                <td colspan="3" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" border="0" alt="____"></td>
        </tr>

        <tr>
                <td colspan="3" height="10">&nbsp;</td>
        </tr>
		
        <tr>
                <td valign="top">&nbsp;</td>
                <td valign="middle"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1003964195/Right/ATT_125_ron_june/9094/61383634626430323362316163656430" target="new"><IMG SRC="http://view.avenuea.com/avenuea/view/salon_attwaws00740aa_ron_125x125/direct/01?2001.06.03.23.57.17"  ALT="" BORDER=0></A></td>
                <td valign="top">&nbsp;</td>
        </tr>

        <tr>
                <td colspan="3" height="10">&nbsp;</td>
        </tr>


        <tr>
                <td colspan="3" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" border="0" alt="____"></td>
        </tr>

        <tr>
                <td valign="top" colspan="3" height="20">&nbsp;</td>
        </tr>

        <tr>
                <td valign="top">&nbsp;</td>
                <td valign="top"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">
<p><br /><img src="arrow.gif" width=8 height=7 border=0 alt="." /><b><a href="/tech/fsp/index.html">Free Software Project home page</a></p>

<p><img src="arrow.gif" width=8 height=7 border=0 alt="." /><b><a href="/tech/fsp/about/index.html">About Salon's Free Software Project</a></b></p>

<p><img src="arrow.gif" width=8 height=7 border=0 alt="." /><b><a href="/tech/fsp/contents/index.html">Complete list of published chapters and discussions </a></b></p>

<p><img src="arrow.gif" width=8 height=7 border=0 alt="." /><b><a href="/tech/fsp/outline/index.html">Full outline of the book</a></b></p>

<p><img src="arrow.gif" width=8 height=7 border=0 alt="." /><b><a href="/tech/fsp/bio/index.html">Andrew Leonard biography</a></b></p> 

<p><img src="arrow.gif" width=8 height=7 border=0 alt="." /><b><a href="/tech/fsp/glossary/index.html">Glossary</a></b></p></font>
                </td>
                <td valign="top">&nbsp;</td>
        </tr>

        </table>

		</td>
        <td valign="top" width="1" class="gridLine" bgcolor="#000000"><br /></td>
</tr>

<!-- control row -->
<tr>
        <td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" /></td>
        <td valign="top" class="globalNav"><img src="shim.gif" width="146" height="1" alt="shim" /></td>
        <td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" alt="shim" /></td>
        <td valign="top"><img src="shim.gif" width="35" height="1" alt="shim" /></td>
        <td valign="top"><img src="shim.gif" width="380" height="1" alt="shim" /></td>
        <td valign="top"><img src="shim.gif" width="25" height="1" alt="shim" /></td>
        <td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" alt="shim" /></td>
        <td valign="top"><img src="shim.gif" width="146" height="1" alt="shim" /></td>
        <td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" alt="shim" /></td>
</tr>
<tr>
        <td valign="top" class="gridLine" bgcolor="#000000" colspan="9"><img src="shim.gif" width="1" height="1" alt="shim" /></td>
</tr>
<tr>
        <td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" alt="shim" /></td>
        <td align="center" valign="middle" height="30" colspan="7">
<font face="Verdana, Arial, Helvetica, sans-serif" size="1"><p><a href="/tech/fsp/index.html">The Free Software Project</a><br /> Read Andrew Leonard's book-in-progress on Linux and open source -- and post your comments.</p></font>         
        <td valign="top" class="gridLine" bgcolor="#000000"><img src="shim.gif" width="1" height="1" alt="shim" /></td>
</tr>
<tr>
        <td valign="top" class="gridLine" bgcolor="#000000" colspan="9"><img src="shim.gif" width="1" height="1" alt="shim" /></td>
</tr>

</table>

<p><br /></p>
<!-- ads table -->
<table border="0" width="736" cellspacing="0" cellpadding="0">
<tr>
   <td valign="top" align="center" width="468"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1779650451/Bottom/ShimGif_Bottom_RON/8844/61383634626430323362316163656430" target="new"><IMG SRC="shim.gif"  ALT="" border=0></A></td>
   <td valign="top" align="center" width="240"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1847725350/BottomRight/ShimGif_BottomRight_RON/8845/61383634626430323362316163656430" target="new"><IMG SRC="shim.gif"  ALT="" border=0></A></td>
</tr>
</table>
<table border="0" width="736" cellspacing="0" cellpadding="4">
<tr>
   <td valign="top" align="center" width="120"></td>
   <td valign="top" align="center" width="468"></td>
   <td valign="top" align="center" width="120"></td>
</tr>

<tr>
   <td valign="top" align="center" width="120"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1708282019/Bottom1/ShimGifBottom1_RON/ShimGif_Bottom1/61383634626430323362316163656430" target="new"><IMG SRC="shim.gif"  ALT="" border=0></A></td>
   <td valign="top" align="center" width="468"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/1151139954/Bottom2/ShimGif_Bottom2_RON/ShimGif_Bottom2/61383634626430323362316163656430" target="new"><IMG SRC="shim.gif"  ALT="" border=0></A></td>
   <td valign="top" align="center" width="120"><A HREF="http://208.178.101.41/RealMedia/ads/click_lx.ads/www.salonmagazine.com/linux/cover.html/2014423314/Bottom3/ShimGif_Bottom3_RON/ShimGif_Bottom3/61383634626430323362316163656430" target="new"><IMG SRC="shim.gif"  ALT="" border=0></A></td>
</tr>

</table>


</div>

<p><br />
<div align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="1"><a href="/index.html">Salon</a>&nbsp;&nbsp;<a href="http://search.salon.com/">Search</a>&nbsp;&nbsp;<!--<a href="/directory/index.html">Directory</a>&nbsp;&nbsp;--><a href="/about/index.html">About Salon</a>&nbsp;&nbsp;<a href="http://tabletalk.salon.com/webx?">Table Talk</a>&nbsp;&nbsp;<a href="http://bf.salon.com/salon/salon_pref.epl" target="new">Newsletters</a>&nbsp;&nbsp;<a href="/adsales/index.html">Advertise in Salon</a>&nbsp;&nbsp;<a href="http://199.230.26.96/saln/">Investor Relations</a>
<p><br />
<a href="/ent/index.html">Arts &amp; Entertainment</a> | <a  href="/books/index.html">Books</a> | <a href="/comics/index.html">Comics</a> | <a href="/mwt/index.html">Mothers Who Think</a> | <a href="/news/index.html">News</a><br /><a href="/people/index.html">People</a> | <a href="/politics/index.html">Politics</a> | <a href="/sex/index.html">Sex</a> | <a href="/tech/index.html">Tech &amp; Business</a> and <a href="/tech/fsp/index.html">The Free Software Project</a><br /><a  href="/letters/index.html">Letters</a> | <a href="/col/index.html">Columnists</a> | <a href="/plus/index.html">Salon Plus</a> | <a href="/shop/index.html">Salon Shop</a></p>

<p><br />

Reproduction of material from any Salon pages without written permission is strictly prohibited<br />Copyright 2001 Salon.com

<br />Salon, 22 4th Street, 16th Floor, San Francisco, CA 94103<br />Telephone 415 645-9200 | Fax 415 645-9204<br /><a href="/about/staff/index.html">E-mail</a> | <a href="/about/policy/index.html">Salon.com Privacy Policy</a></p></font>
</div>



&nbsp;


</body>
</html>




	


